librime: rime::UserDictEntryIterator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::UserDictEntryIterator Class Reference

`#include <user_dictionary.h>`

Inheritance diagram for rime::UserDictEntryIterator:
[legend]
Collaboration diagram for rime::UserDictEntryIterator:
[legend]

## Public Member Functions
| UserDictEntryIterator ()=default
void | Add (an< DictEntry > &&entry)
void | SetEntries (DictEntryList &&entries)
void | SortRange (size_t start, size_t count)
void | AddFilter (DictEntryFilter filter) override
an< DictEntry > | Peek ()
bool | Next ()
bool | exhausted () const
size_t | cache_size () const
Public Member Functions inherited from rime::DictEntryFilterBinder
virtual | ~DictEntryFilterBinder ()=default

## Protected Member Functions
bool | FindNextEntry ()

## Protected Attributes
DictEntryList | cache_
size_t | index_ = 0
Protected Attributes inherited from rime::DictEntryFilterBinder
DictEntryFilter | filter_

## Constructor & Destructor Documentation

## ◆ UserDictEntryIterator()

rime::UserDictEntryIterator::UserDictEntryIterator | ( |  | ) |
| default

## Member Function Documentation

## ◆ Add()

void rime::UserDictEntryIterator::Add | ( | an< DictEntry > && | entry | ) |

## ◆ AddFilter()

void rime::UserDictEntryIterator::AddFilter | ( | DictEntryFilter | filter | ) |
| overridevirtual

Reimplemented from rime::DictEntryFilterBinder.

## ◆ cache_size()

size_t rime::UserDictEntryIterator::cache_size | ( |  | ) | const
| inline

## ◆ exhausted()

bool rime::UserDictEntryIterator::exhausted | ( |  | ) | const
| inline

## ◆ FindNextEntry()

bool rime::UserDictEntryIterator::FindNextEntry | ( |  | ) |
| protected

## ◆ Next()

bool rime::UserDictEntryIterator::Next | ( |  | ) |

## ◆ Peek()

an< DictEntry > rime::UserDictEntryIterator::Peek | ( |  | ) |

## ◆ SetEntries()

void rime::UserDictEntryIterator::SetEntries | ( | DictEntryList && | entries | ) |

## ◆ SortRange()

void rime::UserDictEntryIterator::SortRange | ( | size_t | start,
|  | size_t | count )

## Member Data Documentation

## ◆ cache_

DictEntryList rime::UserDictEntryIterator::cache_
| protected

## ◆ index_

size_t rime::UserDictEntryIterator::index_ = 0
| protected

The documentation for this class was generated from the following files:

- user_dictionary.h
- user_dictionary.cc